Create Inventory

Create a catalogue item in Bringg that can be referenced in the Create Order payload.

Response (Output) Params
ParameterDescription
*success**
boolean

Indicates whether the service completed successfully.

false - the service failed.
true - the service succeeded

*message**
string
If an error occurred, a message indicating the error is included.
*rc**
integer
If an error occurred, the return code is included.
*age_restricted**
boolean
Indicates whether the driver must check the customer's ID before completing the delivery, for example, when the order includes alcohol.
Possible values:
0 or false- The inventory is not age-restricted
1 or true- The inventory is age-restricted
*external_id**
string
The ID of this item in your external systems.
*extras**
array
This field can be used to send custom attributes to Bringg using the JSON format of field and value.
For example:
{"field":"value"}
*handling_units**
array
The handling units value can be sent as an integer or double.
For example:\
"handling_units": {  
   "pallets": 2  
 },
*height**
double
The height of this item.
*id**
integer
Bringg's ID for this item.
*image**
string
The URL of an image of this item.
*inventory_change_details**
object
An object detailing changes made to the inventory, including the change type, result, and reasons. Learn more about the Inventory Change Details Object .
*length**
double
The length of this item.
*merchant_id**
Int32
The ID of the merchant to which the item belongs.
*name**
string
The name of the item.
*notes**
string
A note added to this inventory item.
*pending**
boolean
Indicates whether the item is intended for pickup or dropoff.
false or 0 - the item is intended for dropoff
true or 1 - the item is intended for pickup
*price**
double
The item price.
*original_quantity**
integer
The original item quantity included in the the order.
*scan_string**
string
The scan code (barcode) associated with this item.
*services_external_ids**
array of strings
An array of services associated with this item, as configured with your Bringg representative, using your external system's IDs.
For example: installation or fragile.
*size**
double
The size of this item.
*sku**
string
The SKU of this item.
*volume**
double
The volume of this item.
*weight**
double
The weight of this item.
*width**
double
The width of this item.

Body Params
string
required

Either sku or external_id needs to be specified. Unique identifier.

string
required

Either sku or external_id needs to be specified.

boolean

Indicates whether the driver must check the customer's ID before completing the delivery, for example, when the order includes alcohol.

string

Provides a description of the inventory item.

string

External link to the image of the item.

json

Json field to pass any additional information related to inventory item. This field is not used by Bringg features.

json

The handling units value can be sent as an integer or double. For example: "handling_units": { "pallets": 2 }

float

Height of the item.

string

Used to indicate a link between an inventory item and its category. Can be used for Time on Site (TOS) calculations

float

Length of the item.

string

Indicate the arrangement limitation for 3D optimization. Including: disable_2D_rotation, must_be_on_bottom, must_be_on_top

string

Item name.

float

Price of inventory item.

string

Barcode of the item.

serial_numbers
array of strings

If this field has a value, then the owner value needs to be provided as well.

serial_numbers
string
float

Volumetric value of inventory item.

float

Weight of the item.

float

Width of the item.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json